Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# GT2005BasicBehaviorGoToPoint Class Reference

A Basic Behavior for going to a point on the field. More...

`#include <GT2005SimpleBasicBehaviors.h>`

Inheritance diagram for GT2005BasicBehaviorGoToPoint:

[legend]
Collaboration diagram for GT2005BasicBehaviorGoToPoint:

[legend]
List of all members.

## Public Member Functions
| GT2005BasicBehaviorGoToPoint (BehaviorControlInterfaces &interfaces, Xabsl2ErrorHandler &errorHandler)
virtual void | execute ()
| Executes the basic behavior.
## Protected Attributes
double | x
| parameter "go-to-point.x"
double | y
| parameter "go-to-point.y"
double | destinationAngle
| parameter "go-to-point.destination-angle"
double | distanceRemain
| parameter "distance-remain"
double | angleRemain
| parameter "angle-remain"
double | maxSpeed
| parameter "go-to-point.max-speed"
double | maxSpeedY
| parameter "go-to-point.max-speed.y"
double | walkType
| parameter "walk-type"
WalkAccelerationRestrictor | accelerationRestrictor
| Restricts the walk acceleration to maximum values.

## Detailed Description

A Basic Behavior for going to a point on the field.

Author:
  Uwe Düffert

  Martin Lötzsch

Definition at line 258 of file GT2005SimpleBasicBehaviors.h.

## Constructor & Destructor Documentation

GT2005BasicBehaviorGoToPoint::GT2005BasicBehaviorGoToPoint | ( | BehaviorControlInterfaces & | interfaces,
|  | Xabsl2ErrorHandler & | errorHandler
| ) | `[inline]`

| Definition at line 266 of file GT2005SimpleBasicBehaviors.h. References angleRemain, destinationAngle, distanceRemain, point, and Xabsl2BasicBehavior::registerParameter().

Here is the call graph for this function:

## Member Function Documentation

void GT2005BasicBehaviorGoToPoint::execute | ( |  | ) | `[virtual]`

| Executes the basic behavior. Implements Xabsl2BasicBehavior. Definition at line 823 of file GT2005SimpleBasicBehaviors.cpp. References angleRemain, Geometry::angleTo(), destinationAngle, distanceRemain, Geometry::distanceTo(), fromDegrees(), max, min, MotionRequest::motionType, normalize(), WalkAccelerationRestrictor::restrictAccelerations(), Pose2D::rotation, WalkAccelerationRestrictor::saveLastWalkParameters(), toDegrees(), Pose2D::translation, WalkRequest::walkParams, MotionRequest::walkRequest, WalkRequest::walkType, Vector2< double >::x, and Vector2< double >::y.

Here is the call graph for this function:

## Member Data Documentation

double GT2005BasicBehaviorGoToPoint::x`[protected]`

| parameter "go-to-point.x" Definition at line 287 of file GT2005SimpleBasicBehaviors.h.

double GT2005BasicBehaviorGoToPoint::y`[protected]`

| parameter "go-to-point.y" Definition at line 290 of file GT2005SimpleBasicBehaviors.h.

double GT2005BasicBehaviorGoToPoint::destinationAngle`[protected]`

| parameter "go-to-point.destination-angle" Definition at line 293 of file GT2005SimpleBasicBehaviors.h. Referenced by execute(), and GT2005BasicBehaviorGoToPoint().

double GT2005BasicBehaviorGoToPoint::distanceRemain`[protected]`

| parameter "distance-remain" Definition at line 296 of file GT2005SimpleBasicBehaviors.h. Referenced by execute(), and GT2005BasicBehaviorGoToPoint().

double GT2005BasicBehaviorGoToPoint::angleRemain`[protected]`

| parameter "angle-remain" Definition at line 299 of file GT2005SimpleBasicBehaviors.h. Referenced by execute(), and GT2005BasicBehaviorGoToPoint().

double GT2005BasicBehaviorGoToPoint::maxSpeed`[protected]`

| parameter "go-to-point.max-speed" Definition at line 302 of file GT2005SimpleBasicBehaviors.h.

double GT2005BasicBehaviorGoToPoint::maxSpeedY`[protected]`

| parameter "go-to-point.max-speed.y" Definition at line 305 of file GT2005SimpleBasicBehaviors.h.

double GT2005BasicBehaviorGoToPoint::walkType`[protected]`

| parameter "walk-type" Definition at line 308 of file GT2005SimpleBasicBehaviors.h.

WalkAccelerationRestrictor GT2005BasicBehaviorGoToPoint::accelerationRestrictor`[protected]`

| Restricts the walk acceleration to maximum values. Definition at line 311 of file GT2005SimpleBasicBehaviors.h.

The documentation for this class was generated from the following files:

- Modules/BehaviorControl/GT2005BehaviorControl/GT2005BasicBehaviors/GT2005SimpleBasicBehaviors.h
- Modules/BehaviorControl/GT2005BehaviorControl/GT2005BasicBehaviors/GT2005SimpleBasicBehaviors.cpp